Browse Source

feat: makefile support go sort imports (#282)

Ashing Zheng 1 year ago
parent
commit
f3973180ea

+ 4 - 1
Makefile

@@ -13,4 +13,7 @@ build-linux-arm:
 	CGO_ENABLED=0 GOARCH=arm64 GOOS=linux go build -o chatgpt-dingtalk main.go
 
 lint:
-	env GOGC=25 golangci-lint run --fix -j 8 -v ./...
+	env GOGC=25 golangci-lint run --fix -j 8 -v ./...
+
+goimports:
+	@bash ./scripts/goimports-reviser.sh

+ 2 - 1
config/config.go

@@ -10,8 +10,9 @@ import (
 	"sync"
 	"time"
 
-	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 	"gopkg.in/yaml.v2"
+
+	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 )
 
 type Credential struct {

+ 4 - 3
main.go

@@ -9,13 +9,14 @@ import (
 	"strings"
 	"time"
 
+	"github.com/gin-gonic/gin"
+	"github.com/open-dingtalk/dingtalk-stream-sdk-go/chatbot"
+	"github.com/open-dingtalk/dingtalk-stream-sdk-go/client"
+
 	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/process"
 	"github.com/eryajf/chatgpt-dingtalk/public"
-	"github.com/gin-gonic/gin"
-	"github.com/open-dingtalk/dingtalk-stream-sdk-go/chatbot"
-	"github.com/open-dingtalk/dingtalk-stream-sdk-go/client"
 )
 
 func init() {

+ 2 - 1
pkg/cache/user_base.go

@@ -3,8 +3,9 @@ package cache
 import (
 	"time"
 
-	"github.com/eryajf/chatgpt-dingtalk/config"
 	"github.com/patrickmn/go-cache"
+
+	"github.com/eryajf/chatgpt-dingtalk/config"
 )
 
 // UserServiceInterface 用户业务接口

+ 2 - 1
pkg/chatgpt/chatgpt.go

@@ -6,8 +6,9 @@ import (
 	"net/url"
 	"time"
 
-	"github.com/eryajf/chatgpt-dingtalk/public"
 	openai "github.com/sashabaranov/go-openai"
+
+	"github.com/eryajf/chatgpt-dingtalk/public"
 )
 
 type ChatGPT struct {

+ 2 - 2
pkg/chatgpt/context.go

@@ -12,11 +12,11 @@ import (
 	"strings"
 	"time"
 
-	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
 	"github.com/pandodao/tokenizer-go"
+	openai "github.com/sashabaranov/go-openai"
 
+	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
 	"github.com/eryajf/chatgpt-dingtalk/public"
-	openai "github.com/sashabaranov/go-openai"
 )
 
 var (

+ 1 - 0
pkg/chatgpt/export.go

@@ -5,6 +5,7 @@ import (
 	"time"
 
 	"github.com/avast/retry-go"
+
 	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 	"github.com/eryajf/chatgpt-dingtalk/public"
 )

+ 2 - 1
pkg/db/sqlite.go

@@ -3,9 +3,10 @@ package db
 import (
 	"os"
 
-	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 	"github.com/glebarez/sqlite"
 	"gorm.io/gorm"
+
+	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 )
 
 // 全局数据库对象

+ 2 - 1
pkg/dingbot/client.go

@@ -5,13 +5,14 @@ import (
 	"encoding/json"
 	"errors"
 	"fmt"
-	"github.com/eryajf/chatgpt-dingtalk/config"
 	"io"
 	"mime/multipart"
 	"net/http"
 	url2 "net/url"
 	"sync"
 	"time"
+
+	"github.com/eryajf/chatgpt-dingtalk/config"
 )
 
 // OpenAPI doc: https://open.dingtalk.com/document/isvapp/upload-media-files

+ 2 - 1
pkg/dingbot/client_test.go

@@ -2,12 +2,13 @@ package dingbot
 
 import (
 	"bytes"
-	"github.com/eryajf/chatgpt-dingtalk/config"
 	"image"
 	"image/color"
 	"image/png"
 	"os"
 	"testing"
+
+	"github.com/eryajf/chatgpt-dingtalk/config"
 )
 
 func TestUploadMedia_Pass_WithValidConfig(t *testing.T) {

+ 3 - 2
pkg/process/image.go

@@ -3,13 +3,14 @@ package process
 import (
 	"context"
 	"fmt"
-	"github.com/eryajf/chatgpt-dingtalk/public"
 	"strings"
 
+	"github.com/solywsh/chatgpt"
+
 	"github.com/eryajf/chatgpt-dingtalk/pkg/db"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
-	"github.com/solywsh/chatgpt"
+	"github.com/eryajf/chatgpt-dingtalk/public"
 )
 
 // ImageGenerate openai生成图片

+ 2 - 1
pkg/process/process_request.go

@@ -6,11 +6,12 @@ import (
 	"strings"
 	"time"
 
+	"github.com/solywsh/chatgpt"
+
 	"github.com/eryajf/chatgpt-dingtalk/pkg/db"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/logger"
 	"github.com/eryajf/chatgpt-dingtalk/public"
-	"github.com/solywsh/chatgpt"
 )
 
 // ProcessRequest 分析处理请求逻辑

+ 2 - 1
public/public.go

@@ -1,11 +1,12 @@
 package public
 
 import (
+	"github.com/sashabaranov/go-openai"
+
 	"github.com/eryajf/chatgpt-dingtalk/config"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/cache"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/db"
 	"github.com/eryajf/chatgpt-dingtalk/pkg/dingbot"
-	"github.com/sashabaranov/go-openai"
 )
 
 var UserService cache.UserServiceInterface

+ 2 - 1
public/tools_test.go

@@ -1,8 +1,9 @@
 package public
 
 import (
-	"github.com/eryajf/chatgpt-dingtalk/config"
 	"testing"
+
+	"github.com/eryajf/chatgpt-dingtalk/config"
 )
 
 func TestCheckRequestWithCredentials_Pass_WithNilConfig(t *testing.T) {

+ 11 - 0
scripts/goimports-reviser.sh

@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+go install github.com/incu6us/goimports-reviser/v2@latest
+
+PROJECT_NAME=github.com/eryajf/chatgpt-dingtalk
+
+find . -name '*.go' -print0 | while IFS= read -r -d '' file; do
+  goimports-reviser -file-path "$file" -project-name "$PROJECT_NAME"
+done